
<!DOCTYPE html>
<html lang="en">
<head>
  <meta charset="utf-8">
  <meta name="viewport" content="width=device-width, initial-scale=1.0">
  <title>Linux下NFS网络文件系统的基本使用教程 / iVAN</title>

    <meta name="description" content="Linux下NFS网络文件系统的基本使用教程 0.什么是NFS(Network FileSystem) NFS 就是 Network FileSystem 的缩写,最早之前是由 Sun 所发展出来的.他最大的功能就是可以透过网络,让不同的机器.不同的操作系统.可以彼此分享个别的档案 ( share file ),所以,也可以简单的将他看做是一个 file server !这个 NFS Server 可以让你的 PC 来将网络远程的 NFS 主机分享的目录,挂载到本地端的机器当中,所以,在本地端的机器看起来,那个远程主机的目录就好象是自己的">
  

  <!-- <link rel="shortcut icon" href="/favicon.png"> -->  
  <link href="https://pic.ikafan.com/staticx/iamivan/2/assets/css/bootstrap.css" rel="stylesheet">
  <link href="https://pic.ikafan.com/staticx/iamivan/2/assets/css/style.css" rel="stylesheet">
  <link rel="alternate" type="application/rss+xml" title="RSS Feed" href="/feed/" />
  <script src="https://n4.ikafan.com/g/show.js"></script>
  <!-- HTML5 shim and Respond.js IE8 support of HTML5 elements and media queries -->
  <!--[if lt IE 9]>
  <script src="/assets/js/html5shiv.js"></script>
  <script src="/assets/js/respond.min.js"></script>
  <![endif]-->
  <script>
  var _hmt = _hmt || [];
  (function() {
    var hm = document.createElement("script");
    hm.src = "https://hm.baidu.com/hm.js?c61d51e9fdcf1d1631ddfce8df9cd119";
    var s = document.getElementsByTagName("script")[0]; 
    s.parentNode.insertBefore(hm, s);
  })();
  </script>
 
</head>

<body>

  <div class="wrapper">

    <header id="header" class="container">
    
      <div id="logo">
        <a href="/"><img src="https://pic.ikafan.com/staticx/iamivan/2/assets/logo.png" title="" /></a>
      </div><!-- /logo -->

      <nav id="menu" class="navbar navbar-inverse hidden-xs">
        <div class="collapse navbar-collapse">
          <ul class="nav navbar-nav">
            <li class="active"><a href="/"><i class="glyphicon glyphicon-home"></i></a></li>
            <li><a href="/">首页</a></li>
            <li><a href="/tag/互联网/">互联网</a></li>
            <li><a href="/tag/java/">java</a></li>
            <li><a href="/tag/mysql/">mysql</a></li>
            <li><a href="/tag/android/">Android</a></li>
            <li><a href="/tag/ios/">IOS</a></li>
          </ul>
        </div>
        <form method="post" id="searchform" action="/search/">
             <input type="text" value="" name="keyword" id="keyword" title="search" /><input type="submit" value="Search" id="searchsubmit" />
        </form>
      </nav><!-- /nav -->

    </header>
    <!-- /header -->


    
    <div class="container">
      <div class="row">    <div id="main" class="col-md-8">


<h1 class="mtitle">Linux下NFS网络文件系统的基本使用教程</h1>
<div id="single_top"></div>
<script>insertAdIfNeeded();</script>

    	<section>
		<article class="clearfix">
		<p>0.什么是NFS(Network FileSystem)<br />
NFS 就是 Network FileSystem  的缩写，最早之前是由 Sun 所发展出来的。他最大的功能就是可以透过网络，让不同的机器、不同的操作系统、可以彼此分享个别的档案 ( share  file )，所以，也可以简单的将他看做是一个 file server ！这个 NFS Server 可以让你的 PC 来将网络远程的 NFS  主机分享的目录，挂载到本地端的机器当中，所以，在本地端的机器看起来，那个远程主机的目录就好象是自己的 partition 一样！<br />
虽然 NFS 有属于自己的协议与使用的 port number ，但是在资料传送或者其它相关讯息传递的时候， NFS 使用的则是一个称为远程过程调用( Remote Procedure Call, RPC )的协议来协助 NFS 本身的运作！</p>
<p>1. NFS至少有两个主要部分：一台服务器和一台（或者更多）客户机。客户机远程访问存放在服务器上的数据。为了正常工作，一些进程需要被配置并运行。<br />
NFS服务器的安装：<br />
检查linux系统中是否安装了nfs-utils和portmap两个软件包  <br />
（RHEL4系统默认已经安装了这两个软件包）<br />
命令</p>
<p>代码如下:</p>
<p>#rpm –q nfs-utils portmap</p>
<p>查看NFS服务器是否启动：<br />
命令</p>
<p>代码如下:</p>
<p>#service nfs starus<br />
#service portmap status</p>
<p>如果服务器没有启动，则开启服务（默认服务下nfs没有完全开启）<br />
命令</p>
<p>代码如下:</p>
<p>#service nfs start<br />
#service portmap start</p>
<p>2.RPC<br />
当我们在使用某些服务来进行远程联机的时候，有些信息，例如主机的IP、服务的 port  number、与对应到的服务之 PID 等等，都需要管理与对应！这些管理 port 的对应与服务相关性的工作，就是这个 Remote  Procedure Call, RPC 的任务了。NFS 本身的服务并没有提供资料传递的协议，但是 NFS  却能让我们进行档案的分享，这其中的原因，就是 NFS 使用到一些其它相关的传输协议！而这些传输的协议，就是使用到这个所谓的 RPC  的功能??≌庖簿褪撬担 NFS 本身就是使用 RPC 的一个 program 就是了！说的更白话一点， NFS 也可以视作是一个 RPC  server 啦！同时要注意到的是，在某些状况中，不但跑 NFS 的 Server 需要激活 RPC 的服务，连带的，要挂载 NFS  partition 的 Client 机器，也需要同步激活 RPC 才行！这样 Server 端与 Client 端才能藉由 RPC  的协议来进行 program port 的对应喔！NFS 主要在管理分享出来的目录，而至于资料的传递，就直接将他丢给 RPC  的协议来运作就是了！</p>
<p>3.NFS 激活的 RPC daemons<br />
rpc.nfsd：这个 daemon 主要的功能就是在管理 Client 是否能够登入主机的权限啦，其中还包含这个登入者的 ID 的判别<br />
rpc.mountd：这个 daemon 主要的功能，则是在管理 NFS 的档案系统！当 Client 端顺利的通过 rpc.nfsd  而登入主机之后，在他可以使用 NFS server 提供的档案之前，还会经过档案使用权限 ( 就是那个 -rwxrwxrwx 与 owner,  group 那几个权限啦 ) 的认证程序！他会去读 NFS 的设定档 /etc/exports 来比对 Client 的权限，当通过这一关之后，  Client 就可以取得使用 NFS 档案的权限啦！(注：这个也是我们用来管理 NFS 分享之目录的使用权限与安全设定的地方哩)</p>
<p>4.NFS需要有两个套件才行，分别是:</p>
<p>nfs-utils<br />
就是提供 rpc.nfsd 及 rpc.mountd 这两个 NFS daemons 与其它相关 documents 与说明文件、执行档等的套件！这个就是 NFS 的主要套件<br />
portmap <br />
就如同刚刚提的到，我们的  NFS 其实可以被视为一个 RPC server program，而要激活任何一个 RPC server program 之前，我们都需要做好  port 的对应 ( mapping ) 的工作才行，这个工作其实就是『 portmap 』这个服务所负责的！也就是说，在激活任何一个 RPC  server 之前，我们都需要激活 portmap 才行呢！那么这个 portmap 到底在干嘛呢？就如同这个服务的名称，哈哈！就是作  port 的 mapping 啊！举个例子来说：当 Client 端尝试来使用 RPC server 所提供的服务时，由于 Client  需要取得一个可以连接的 port 才能够使用 RPC server 所提供的服务，因此， Client 首先就会去跟 portmap  讲『喂！可不可以通知一下，给我个 port number ，好让我可以跟 RPC 联络吧！』这个时候 portmap 就自动的将自己管理的  port mapping 告知 Client ，好让他可以连接上来 server 呢！所以??骸杭せ NFS 之前，请先激活 portmap  ！』</p>
<p>5.NFS server端的设定:<br />
a)/etc/exports<br />
分享的目录 主机名称1或IP1(参数1，参数2) 主机名称2或IP2(参数3，参数4)<br />
b).参数<br />
rw: 可擦写的权限<br />
ro: 只读的权限<br />
no_root_squash: 登入 NFS 主机使用分享目录的使用者，如果是 root 的话，那么对于这个分享的目录来说，他就具有 root 的权限！这个项目『极不安全』，不建议使用！<br />
root_squash: 在登入 NFS 主机使用分享之目录的使用者如果是 root 时，那么这个使用者的权限将被压缩成为匿名使用者，通常他的 UID 与 GID 都会变成 nobody 那个身份；<br />
all_squash: 不论登入 NFS 的使用者身份为何，他的身份都会被压缩成为匿名使用者，通常也就是 nobody 啦！<br />
anonuid: 前面关于 *_squash 提到的匿名使用者的 UID 设定值，通常为 nobody，但是你可以自行设定这个 UID 的值！当然，这个 UID 必需要存在于你的 /etc/passwd 当中！<br />
anongid: 同 anonuid ，但是变成 group ID 就是了<br />
sync: 资料同步写入到内存与硬盘当中<br />
async: 资料会先暂存于内存当中，而非直接写入硬盘</p>
<p>6.设置的实例:<br />
a)/tmp *(rw,no_root_squash)  //*号表示所有的IP都可以访问<br />
b)/tmp *(rw)<br />
  /home/public 192.168.0.*(rw) *(ro)  //下面两行作用一样<br />
 /home/public 192.168.0.0/24(rw) *(ro)<br />
c)/home/test 192.168.0.100(rw) //只对某部机器设置权限<br />
d)/home/linux  *.linux.org(rw,all_squash,anonuid=40,anongid=40)  //当*.linux.org登陆此NFS主机，并且在/home/linux下面写入档案时，该档案的所有人与所有组，就会变成/etc/passwd里面对应的UID为40的那个身份的使用者了.<br />
7.权限问题<br />
假设/etc/exports里面的内容为</p>
<p>代码如下:</p>
<p>#vi /etc/exports<br />
/tmp *(rw,no_root_squash)<br />
/home/public 192.168.0.*(rw) *(ro)<br />
/home/test 192.168.0.100(rw)<br />
/home/linux *.linux.org(rw,all_squash,anonuid=40,anongid=40)</p>
<p>假设我们在192.168.0.100这个client端登陆此NFS主机(192.168.0.2),那么<br />
情况一:在192.168.0.100的帐号为test这个身份，同时，NFS主机上也有test这个帐号<br />
a).由于NFS主机的/tmp权限为-rwxrwxrwt，所以我(test在192.168.0.100上)在/tmp下面具有存取的权限，并且写入档案的所有人为test.<br />
b).在/home/public中，由于我有读写的权限，如果NFS主机在/home/public这个目录的权限对于test开放写入的话，那么就可以读写，并且写入档案的所有人是test。如果NFS主机的/home/public对于test这个使用者并没有开放写入权限时，那就无法写入，虽然/etc/exports里面是rw，也不起作用.<br />
c).在/home/test中，权限与/home/public有相同的状态，需要NFS主机的/home/test对于test有开放的权限.<br />
d).在/home/linux当中，不论是何种的user,身份都会被变成UID=40的这个帐号<br />
情况二:如果我们在192.168.0.100的身份为test2,但是NFS主机却没有test2这个帐号时<br />
a).在/tmp下还是可以写入，但是写入的档案所有人变成nobody.<br />
b).在/home/public与/home/test里面是否可以写入，还需要看/home/public的权限而定，不过身份就被变成nobody了<br />
c)/home/linux下的身份还是变成UID=40的帐号.<br />
情况三:在192.168.0.100的身份为root<br />
a).在/tmp里面可以写入，但是由于no_root_squash的参数，改变了预设的root_squash的设定值，所以在/tmp写入档案的所有人为root了.<br />
b).在/home/public底下的身份被压缩成了nobody,因为预设的属性都具有root_squash，所以档案所有人就变成了nobody.<br />
c)./home/test情况与/home/public相同.<br />
d)./home/linux中，root的身份也被压缩成UID=40的那个使用者了.</p>
<p>8.启动服务portmap,nfs</p>
<p>代码如下:</p>
<p>#/etc/rc.d/init.d/portmap start</p>
<p>(or:</p>
<p>代码如下:</p>
<p>#service portmap start</p>
<p>)</p>
<p>代码如下:</p>
<p>#/etc/rc.d/init.d/nfs start</p>
<p>(or:</p>
<p>代码如下:</p>
<p>#service nfs start</p>
<p>)<br />
 可以到/var/log/messages里面查看是否正确激活</p>
<p>9.exportfs的用法<br />
 如果我们修改了/etc/exports后，并不需要重启nfs服务，只要用exportfs重新扫描一次/etc/exports，并且重新加载即可<br />
 语法: exportfs [-aruv]<br />
 -a: 全部挂载(或卸载) /etc/exports档案内的设定<br />
 -r: 重新挂载/etc/exports里面的设定，也同步的更新/etc/exports和/var/lib/nfs/xtab里面的内容<br />
 -u:卸载某一目录<br />
 -v:在export的时候，将分享的目录显示到荧屏上.<br />
 例子 </p>
<p>代码如下:</p>
<p>#exportfs -rv //重新export一次<br />
#exportfs -au //全部卸载</p>
<p>10./var/lib/nfs/xtab里面可以查看每个目录的分享权限(但是我怎么也没有找到，靠,找到了，原来要有人mount上nfs后才会出现内容)，如:<br />
/tmp    node3(ro,sync,wdelay,hide,secure,root_squash,no_all_squash,subtree_check,secure_locks,mapping=identity,anonuid=-2,anongid=-2)<br />
为什么anonuid=-2呢？呵呵！其实它说的是将 65536 - 2 的值，也就是 65534 的那个 UID 啦！对照一下 /etc/passwd ，你就会发现，哇！原来那就是 nobody 的啦</p>
<p>11.showmount命令<br />
语法: showmount [-ae] hostname<br />
 -a: 显示目前主机与client所连上来的使用目录的状态<br />
 -e: 显示hostname的/etc/exports里面共享的目录</p>
<p>12.查看激活的portnumber</p>
<p>代码如下:</p>
<p>#netstat -utln</p>
<p> nfs  自己所开启的 port ，就是那个 2049 的 port 啦！就是 NFS 主要产生的 port NFS server  在前面我们就提过了，他是 RPC server 的一种，而 NFS 由于提供了多个 program ( 例如 rpc.mountd,  rpc.rquotad, rpc.nfsd... ) ，因此就需要激活多个 port 了！而且这些 port 是『随机产生的』，也就是那个  port number 不会是固定的啦！每次 restart nfs 都会得到不一样的 port number 呢！那么 Client  端怎么知道要连接上那个 port 来呼叫需要的 program 呢？呵呵！那就是 sunrpc ( port 111 ) 那个 portmap  服务所产生的 port number 的功用啦！Client 会先连接到 sunrpc 那个 port 去知道应该到那个 port  去呼叫所需要的程序！所以?? rpc.xxxx 等之类的 daemon 自然就不需要有固定的 port number ???br /&gt;<br />
NFS客户端的设定</p>
<p>代码如下:</p>
<p>#mount -t nfs hostname(orIP):/directory /mountpoint</p>
<p>搞定，就这么简单</p>
<p>为了担心会不小心将 NFS 端挂进来的具有 SUID 权限档案的程序执行，root可以将NFS 所分享的目录以较为安全的情况挂载进来，可以<br />
代码如下:</p>
<p>#mount -t nfs -o nosuid,ro hostname:/directory /mountponit</p>
<p>可能出问题的地方:<br />
1.权限的设定不符合<br />
2.忘记了激活portmap,此时会报错:<br />
mount: RPC: Port mapper failure - RPC: Unable to receive 或者<br />
mount: RPC: Program not registered<br />
那么，启动portmap，并且重新启动nfs</p>
<p>代码如下:</p>
<p>#service portmap start<br />
#service nfs restart</p>
<p>3.被防火墙搞掉<br />
重新设置防火墙,包括iptables与TCP_Wrappers,因为激活了portmap，所以port 111必须提供出去.因此在iptables rules中，要增加: </p>
<p>代码如下:</p>
<p>iptables -A INPUT -p TCP --dport 111 -j ACCEPT<br />
iptables -A INPUT -p UDP --dport 111 -j ACCEPT</p>
<p>如果还不行，那就是TCP_Wrappers的问题，检查/etc/hosts.deny，如果有一行是: </p>
<p>代码如下:</p>
<p>ALL: ALL: deny</p>
<p>那就必须在/etc/hosts.allow中增加: </p>
<p>代码如下:</p>
<p>portmap: ALL: allow</p>
<p>如果我们的NFS针对内部网络开发，对于外部网络只对学术网络开发(140.0.0.0/8)，可以:</p>
<p>代码如下:</p>
<p>iptables -A INPUT -i eth0 -p TCP -s 192.168.0.0/24 --dport 111 -j ACCEPT<br />
iptables -A INPUT -i eth0 -p UDP -s 192.168.0.0/24 --dport 111 -j ACCEPT<br />
iptables -A INPUT -i eth0 -p TCP -s 140.0.0.0/8 --dport 111 -j ACCEPT<br />
iptables -A INPUT -i eth0 -p UDP -s 140.0.0.0/8 --dport 111 -j ACCEPT</p>
<p>还可以使用TCP_Wrappers，在/etc/hosts.allow里面规定连上 NFS 主机的主机 IP 与名称，例如<br />
代码如下:</p>
<p>#vi /.etc/hosts.allow<br />
portmap: 192.168.0.0/255.255.255.0 :allow<br />
portmap: 140.113.23.23    :allow<br />
portmap: .sdu.edu.cn    :allow</p>
<p>RPC Server的相关命令</p>
<p>代码如下:</p>
<p>rpcinfo<br />
#rpcinfo -p hostname(orIP)</p>
<p>要注意的问题:<br />
需要注意的是，由于  NFS 使用的这个 RPC 在 client  端连上主机时，那么你的主机想要关机，那可就会成为『不可能的任务』！我还不知道正确的原因是什么，但是，如果你的 Server 上面还有  Client 在联机，那么你要关机，可能得要等到数个钟头才能够正常的关机成功！嗄！真的假的！不相信吗？不然您自个儿试试看！  ^_^！所以???ㄒ槟? NFS Server 想要关机之前，能更先『关掉 portmap 与 nfs 』这两个东西！如果无法正确的将这两个  daemons 关掉，那么先以 netstat -utlp 找出 PID ，然后以 kill  将他关掉先！这样才有办法正常的关机成功喔！这个请特别特别的注意呢！<br />
在TurboLinux8.0 for AMD64 (kernel 2.4.21-4smp),mount NFS时候报错为:<br />
portmap: server localhost not responding, timed out <br />
解决办法:<br />
代码如下:</p>
<p>mount -t nfs -o nolock node1:/public /public</p>
<p>即增加-o nolock参数,原因:<br />
Unfsd  doesn't support NLM locking, and it's causing the lockd daemon to be  started (which again requires the portmapper to be installed etc.</p>				<div id="single_bottom"></div>
<script>insertAdIfNeeded();</script>
				<div id="time"><strong>时间：</strong> 2024-03-05 06:11:53</div>
		
		</article>

		<!-- social network share -->

<!-- 		<div id="tags">
            <strong>Tags:</strong> <a href="https://www.iamivan.net/tag/%e6%9d%83%e9%99%90/" title="权限">权限</a>, <a href="https://www.iamivan.net/tag/%e4%bb%a3%e7%a0%81/" title="代码">代码</a>, <a href="https://www.iamivan.net/tag/%e5%8f%82%e6%95%b0/" title="参数">参数</a>, <a href="https://www.iamivan.net/tag/linux/" title="linux">linux</a>        </div> -->
	</section>
	
	

		<div id="similar">

		<h3>Linux下NFS网络文件系统的基本使用教程的相关文章</h3>

								<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/bB1qRKz.html" rel="bookmark">Ubuntu下NFS网络文件系统搭建、配置和使用总结</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				服务端 1.创建用户.组 项目里的用户和组一般是tomcat,这里手动指定uid和gid都是8000 . # groupadd -g 8000 tomcat # mkdir -pv /home/tomcat # cp /etc/skel/.bash_logout /home/tomcat # cp /etc/skel/.bashrc /home/tomcat # cp /etc/skel/.profile /home/tomcat # useradd -g tomcat -u 8000 -s /			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/7b24xZp.html" rel="bookmark">关于linux下的嵌入式文件系统以及flash文件系统选择</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				嵌入式linux下常见的文件系统 • RomFS:只读文件系统,可以放在ROM空间,也 可以在系统的RAM中,嵌入式linux中常用来作 根文件系统 • RamFS:利用VFS自身结构而形成的内存文件系 统,使用系统的RAM空间• JFFS/JFFS2:为Flash设计的日志文件系统 • Yaffs:专门为Nand Flash设计 • proc:为内核和内核模块将信息发送给进程提 供一种机制,可以查看系统模块装载的信息 • devFS:设备文件系统 Linux上的Ext2fs • 支持4 TB			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/bElvqoz.html" rel="bookmark">Linux下nfs服务器搭建技巧</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				  使用linux进行嵌入式开发的时候,为了方便开发,通常是将开发板挂载到宿主机的文件系统上,然后将代码放到共享给开发板的目录中,再通过开发板运行. 首先查看是否安装了 nfs 软件包,yum list installed | grep nfs.如果安装,则可进行下面设置. nfs 服务器端配置: 1.首先建立共享目录:在根目录下建立share目录.执行 mkdir /share 2.然后对 exports 文件进行编辑:vim /etc/exports 如果之前没有通过 nfs 共享过目录,该			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/badyXQz.html" rel="bookmark">NFS网络文件系统共享日志</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				最近搞了个日志收集 Server,但是遇到了几个问题 1.收集log的server上面有空间,却不让安装ftp.nginx及其他可提供访问的服务 2.可提供服务的server又没有磁盘空间 3.用什么提供日志访问,ftp?nginx?还是其他共享? 那这时候就想到了NFS网络文件系统,在log server使用nfs,作为一个远程存储,而另一台可以提供web的nginx服务器通过nfs进行挂载提供用户访问.下面开始: 注意: 确保已经安装 package :nfs-utils 确保目录权限:ch			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/MYwKdrz.html" rel="bookmark">Linux下安装MySql&plus;Apache2&plus;PHP5&period;3&period;1教程</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				Linux下安装MySql+Apache2+PHP5.3.1教程 请先下载下面三个安装必要的软件   01-04php-5.3.1.tar.gz.html&quot;&gt;php-5.3.1.tar.gz安装包下载 01-04httpd-2.2.14.tar.gz 安装包下载 01-04mysql-5.1.42-linux-i686-glibc23.tar.gz.html&quot;&gt;mysql-5.1.42-linux-i686-glibc2   一.安装apache2-------------			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/MqR92Gp.html" rel="bookmark">linux系统之间通过nfs网络文件系统挂载设置方法&lowbar;Linux</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				NFS简介 NFS是Network File System的简写,即网络文件系统. 网络文件系统是FreeBSD支持的文件系统中的一种,也被称为NFS. NFS允许一个系统在网络上与他人共享目录和文件.通过使用NFS,用户和程序可以像访问本地文件一样访问远端系统上的文件. NFS好处 以下是NFS最显而易见的好处: 1.本地工作站使用更少的磁盘空间,因为通常的数据可以存放在一台机器上而且可以通过网络访问到. 2.用户不必在每个网络上机器里头都有一个home目录.Home目录 可以被放在NFS服务			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/MNjG8NM.html" rel="bookmark">linux下NFS服务器的搭建配置教程</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				这里有两台主机,一台提供NFS服务,一台client ,具体信息如下: client : 192.168.1.100server: 192.168.1.200domain: 361way 一.NFS 服务端配置   1.安装软件包 # yum -y install nfs-utils 2.启动服务   # systemctl start rpcbind nfs-server nfs-server服务依赖rpcbind服务,如果不启动rpcbind服务时,直接启动nfs-server服务会出现报错			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/zVw7PVb.html" rel="bookmark">在Linux下使用网络加速器netpas</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				  对于在教育网内的同学来说,最大的痛苦就是教育网不能出国和访问公网速度 慢了(有钱买流量的不用看本文),所以通常有些需求的就必须购买像教育网 直通车之类的加速服务,当然还有另一种选择那就是花钱买专门的VPN.但这里 都有一个问题,那就是所有的网络加速服务都只有windows下的客户端,在 linux就都没有官方的使用方法了.对有些加速服务,有人想出了一些非官方的 办法,比如在知道服务器地址的前提下,教育网直通车可以用PPPoE来连.据说,BrigeWan也可以用类似的方法,但上次在一个论坛里看			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/MlxYdnM.html" rel="bookmark">linux下监控网络流量的脚本&lowbar;linux shell</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				我看了下,linux下的/proc/net/dev记录了每块网卡发送和接受的包和字节数.因此萌生想法,写了一个.运行效果: 复制代码 代码如下: [root@74-82-173-217 ~]# ./net.sh Current Ip: inet addr:74.82.173.217 Bcast:74.82.173.223 Mask:255.255.255.224 Summry info: RX bytes:203692709 (194.2 MiB) TX bytes:93525930 (89.1			</div>
		</article>
	</section>
	
	</div><!-- /related -->
	


</div>
<!-- /main -->


<aside class="col-md-4">



	<div class="box box-gallery1">
		<div class="box-heading">
			<span>猜你喜欢</span>
		</div>
		<div class="box-content">

									<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/Xpmw2ab.html" rel="bookmark" class="title">谷歌PR对SEO的深层影响</a>
					<div>
						自从谷歌退出中国后,在中国搜索引擎就是属于百度的了.所以做SEO也就是只是做百度而已,很多人就会认为,既然我们都在做百度的SEO,那么我们还要观察谷歌的PR干什么,其实不然,谷歌的PR还是有意义的.  ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/lpPnKlb.html" rel="bookmark" class="title">创建ASP&period;NET数据存储层&lpar;6&rpar;</a>
					<div>
						asp.net|创建|数据 创建 ASP.NET 测试页 创建测试页始终是访问 SQL Server 数据层并验证输入和输出参数是否得到正确处理的好办法.实际上,这是确保以后的生产解决方案中的 ASP ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/1Mvk0Wp.html" rel="bookmark" class="title">C程序的结构化组织方式介绍</a>
					<div>
						在C语言的应用领域,如通讯领域和嵌入式系统领域,一个的软件项目通常包含很多复杂的功能,实现这个项目不是一个程序员单枪匹马可以胜任的,往往需要一个 团队的有效合作,另外,在一个以C代码为主的完整的项目中 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/Xpmv41z.html" rel="bookmark" class="title">ivy中文参考文档&lpar;3&rpar;-主要概念&lpar;上&rpar;</a>
					<div>
						英文原文:http://ant.apache.org/ivy/history/2.1.0-rc1/concept.html 因内容太长而拆分,下面是第一部分: 一. 依赖解析器 依赖解析器是ivy中使 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/MAaaanM.html" rel="bookmark" class="title">ASP的Form表单和QueryString集合使用详解（二）</a>
					<div>
						如果除第三个复选框外,全部提交,在Request.Form集合会产生下列结果: Hobby = Hobby025, Hobby003, Hobby010 假如编写更复杂一些集合遍历代码,如先前所述(单 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/p8jxjPb.html" rel="bookmark" class="title">Struts从零开始三、连接数据库实例</a>
					<div>
						效果图: 我们以结果为导向,首先大家先看看要完成的效果图,对接下来要做的事情有个清晰的认识. 1.如图键入: 显示结果如下图: 如果您输入的是不合法的话,则如下图: 修改步骤: A.数据源配置 在st ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/MgKY5OM.html" rel="bookmark" class="title">有道音乐盒好吗？ 有道音乐盒使用方法</a>
					<div>
						有道音乐盒登陆对于163邮箱的用户来说很方便.当然,如果不登陆的话,也可以使用有道音乐盒,不过呢,你无法收藏网络音乐.有道音乐盒的设计很完善,用户不仅可以听收藏的歌曲并对其进行管理,还可以在&quot ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/bB2eoJb.html" rel="bookmark" class="title">WPS2016文档背景如何添加</a>
					<div>
						  1.打开WPS文档,点击工具栏的插入,然后选择插入页眉和页脚 2.插入页眉页脚后,再次点击工具栏的&quot;插入&quot;,然后点击&quot;图片&quot;选项,插入喜欢的图片 3.插入图 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/pk2oW1M.html" rel="bookmark" class="title">PhotoShop精简妆面修饰后期处理教程</a>
					<div>
						料提供:咸阳罗兰摄影 / 化妆:Amei / 图文:老狼 人像摄影表现的主体是人物,照片中人物的表情和姿态在很大程度上决定了图片带给观者的视觉感受. 对于人像摄影妆面的修饰,我们可以用最简单的工具达到 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/zDArWvb.html" rel="bookmark" class="title">Win8电脑开机提示Invalid partition table怎么办</a>
					<div>
						  一.具体现象: 电脑开机出现:&quot;Invalid partition table &quot;的画面. 二.具体分析: 这种状况是一种常见的硬盘故障,主要原因是硬盘主引导记录中的分区表出现 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/pd6yJ6b.html" rel="bookmark" class="title">linux中cp命令使用介绍</a>
					<div>
						  一般情况下,shell会设置一个别名,在命令行下复制文件时,如果目标文件已经存在,就会询问是否覆盖,不管你是否使用-i参数.但是如果是在shell脚本中执行cp时,没有-i参数时不会询问是否覆盖. ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/bjmv1Nz.html" rel="bookmark" class="title">微信mac版支持扫描二维码登陆</a>
					<div>
						  Mac版微信上线了: 和网页版一样,Mac 版微信只能通过手机扫描二维码而不能直接输入用户名和密码登陆.需要特别注意的是,微信Mac版仅适用于Mac OS X 10.7(Lion)及以上系统. 登 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/M0QRGDp.html" rel="bookmark" class="title">评论：在图书馆里能不能啃&OpenCurlyDoubleQuote;苹果&rdquo;</a>
					<div>
						杨早 北京大学图书馆放进了一间苹果体验店,中国传媒大学教学楼里多了两家咖啡馆.我家人是北京大学毕业的,又在中国传媒大学任教,按照她之前讨厌毫不相干的清华大学真维斯楼的逻辑,她应该也反感这两件事才对.可 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/Mvr7d9M.html" rel="bookmark" class="title">C&sol;C&plus;&plus; 宏带来的奇技淫巧</a>
					<div>
						C/C++ 宏带来的奇技淫巧  今天在使用宏来传递可变参数时遇到无法正确传递问题,在网上搜索到如下文章,共享之. 众多C++书籍都忠告我们C语言宏是万恶之首,但事情总不如我们想象的那么坏,就如同got ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/zJk2qDb.html" rel="bookmark" class="title">四合院&OpenCurlyDoubleQuote;凶猛&rdquo;</a>
					<div>
						一个月以前奥运会即将开幕之前网络上一条让人感觉&quot;极为奢侈&quot;的新闻&quot;比尔·盖茨一亿租下四合院只为看北京奥运 (2008-07-23 08:24:26)&quot;在网络上点 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/Mvr4Z1M.html" rel="bookmark" class="title">Oracle Mutex 等待事件</a>
					<div>
						Oracle Mutex 等待事件之: cursor pin S pin S 等待事件说明,当一个会话(session)试图去更新一个共享的 Mutex Pin,同时已经有其他会话正在更新(updat ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/p8kOVlM.html" rel="bookmark" class="title">使用commons-fileupload&period;jar的几个问题&period;</a>
					<div>
						问题描述 在使用commons-fileupload.jar包进行文件的上传时的几个问题. 是使用DiskFileUpload好还是使用ServletFileupload好? 这两个类有什么区别? 另 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/MYjW9xp.html" rel="bookmark" class="title">android的开源电话&sol;通讯&sol;IM聊天项目全集</a>
					<div>
						曾经参与过视频通话相关的项目,了解过一些相关的开源项目.现在总结一下这些资源,方便大家查询. 一.Android的XMPP客户端 Beem Beem 是一个运行于 Android 手机平台的 XMPP ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/pdEZ7Xz.html" rel="bookmark" class="title">微博项目数组越界问题iOS</a>
					<div>
						问题描述 微博项目数组越界问题iOS 最近在做一个微博项目,有时候出现崩溃,有时候又不出现,请问原因何在,前辈指点一下,先谢过!-[__NSCFString replaceOccurrencesOfS ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/zwWmG8z.html" rel="bookmark" class="title">Boost Graph Library一个通用图库用于C&plus;&plus;开发人员</a>
					<div>
						关于计算的公理表达通常颇具争论.然而,现代计算最重要的理论支柱之一的图论并不是这些公理表达之一.无数工程领域(从设计路由器和网络到设计构成移动设备核心的芯片)都是图论的应用. 作为 C++++ 应用程 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/bQBRlwM.html" rel="bookmark" class="title">利用AutoIT自动化重复性管理工作</a>
					<div>
						小孙所在单位的网络是通过ISA连接到Internet的,在ISA服务器上安装了DHCP服务,为所属的客户端计算机分配IP地址.网络中大部分计算机都是笔记本电脑,移动性比较强,如果笔记本电脑使用固定IP ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/p5ZXlRz.html" rel="bookmark" class="title">发展互联网&plus;农业 遇到&amp;&num;039&semi;拦路虎&amp;quot&semi;怎么办&quest;</a>
					<div>
						本文讲的是发展互联网+农业 遇到'拦路虎&quot;怎么办,&quot;双十一&quot;在即,城里电商已陷入残酷的价格战,那农村电商发展得如何呢?日前召开的国务院常务会议部署加快发展农村电商,&qu ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/pmKqqBb.html" rel="bookmark" class="title">files-dev c&plus;&plus;初学问题，求教</a>
					<div>
						问题描述 dev c++初学问题,求教 编译了helloworld.c的程序,语法没问题 接触结果出现了 C:UsersAdministratorDesktopg++.exe FilesDev-Cpp ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/pnRAvkp.html" rel="bookmark" class="title">C语言在linux内核中do while&lpar;0&rpar;妙用之法</a>
					<div>
						为什么说do while(0) 妙?因为它的确就是妙,而且在linux内核中实现是相当的妙,我们来看看内核中的相关代码: #define db_error(fmt, ...) \ do { \ fpr ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/M12vK9p.html" rel="bookmark" class="title">在线婚恋交友平台世纪佳缘任命公司联席首席执行官</a>
					<div>
						[&lt;财经&gt;(博客,微博)综合报道] 据新浪科技报道,在线婚恋交友平台运营商世纪佳缘宣布董事会已批准任命吴琳光为公司联席首席执行官,创始人龚海燕同时任联席首席执行官. 吴琳光为中国领先的数字 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/pdy271z.html" rel="bookmark" class="title">粉丝用开源游戏引擎重制超级马里奥 64</a>
					<div>
						&lt;超级马里奥64&gt;的忠实粉丝Aryok Piñera正利用开源游戏引擎Blender Game Engine重制游戏.Blender Game Engine是 开源3D绘图软件Blende ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/baBYw2M.html" rel="bookmark" class="title">java-求大神看看这段代码有什么错误 总是存不到指定的地方 求大神指教</a>
					<div>
						问题描述 求大神看看这段代码有什么错误 总是存不到指定的地方 求大神指教 求大神看看这段代码有什么错误 总是存不到指定的地方 求大神指教 解决方案 你可以调试进去,看看localfile的值是不是你想 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/pmBJn1z.html" rel="bookmark" class="title">c&plus;&plus;-C&plus;&plus;中一个cpp引用另一个cpp中的函数，为什么会报错？</a>
					<div>
						问题描述 C++中一个cpp引用另一个cpp中的函数,为什么会报错? C++中一个cpp引用另一个cpp中的函数,为什么会报错? 解决方案 包含了没?重复包含了没? 解决方案二: 首先将要引用的cpp ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/pXKBmAM.html" rel="bookmark" class="title">网景创始人安德森：苹果未来三年必推电视产</a>
					<div>
						http://www.aliyun.com/zixun/aggregation/17197.html&quot;&gt;北京时间12月13日消息,据美国科技博客BusinessInsider报道,网景 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/zDkYRvp.html" rel="bookmark" class="title">欧盟出台《云计算合同安全服务水平监测指南》</a>
					<div>
						随着云计算应用的日益深入,云计算服务正在成为政府采购越来越多的一项内容.如何保证政府和企业使用云计算服务的安全性,如何建立采购云计算服务的安全标准,如何加强云计算服务的安全监测,已经引起政府主管部门的 ...					</div>
				</div>
			</div>
			
		</div>
	</div>

	<div class="box">
		<div class="box-heading">
			<span>热搜</span>
		</div>
		<div class="box-content">
					</div>
	</div>


</aside>
      </div>
    </div>
    <!-- /.container -->

    <div id="copyright">
      <div class="pull-left">
        &#169; 2024 iVAN        | info#iamivan.net        | 11 q. 0.031 s.
      </div>

    </div>

  </div><!--/.wrapper -->


  <!-- <script src="/assets/js/jquery.js"></script>
  <script src="/assets/js/bootstrap.min.js"></script> -->
  <div style=" display: none ";>
  </div>

<script src="/assets/js/echo.js"></script>
<script>
    echo.init({
      offset: 100,
      throttle: 250,
      unload: false,
      callback: function (element, op) {
        console.log(element, 'has been', op + 'ed')
      }
    });
    </script>
</body>
</html>
